CVE-2005-1067
CVSS7.5
发布时间 :2005-04-08 00:00:00
修订时间 :2008-09-05 16:48:07
NMCOS    

[原文]Vulnerability in Access_user Class before 1.75 allows local users to gain access as other users via the password "new".


[CNNVD]PHP Access_User Class绕过任意帐号认证漏洞(CNNVD-200504-008)

        Access_User Class是一个PHP类,主要用户保护页面和注册用户。
        Access_User Class处理帐号名时存在漏洞,远程攻击者可能绕过认证直接获取访问。
         Access_user Class中存在绕过任意帐号认证漏洞,起因是应用程序将new保留为所有帐号的有效口令。如果攻击者知道了有效的用户名的话,就可以使用new做为口令,登陆任意帐号。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1067
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1067
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200504-008
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/14897
(VENDOR_ADVISORY)  SECUNIA  14897
http://freshmeat.net/projects/access_user/?branch_id=53852&release_id=192770
(VENDOR_ADVISORY)  CONFIRM  http://freshmeat.net/projects/access_user/?branch_id=53852&release_id=192770
http://www.osvdb.org/15348
(UNKNOWN)  OSVDB  15348

- 漏洞信息

PHP Access_User Class绕过任意帐号认证漏洞
高危 访问验证错误
2005-04-08 00:00:00 2005-10-20 00:00:00
远程  
        Access_User Class是一个PHP类,主要用户保护页面和注册用户。
        Access_User Class处理帐号名时存在漏洞,远程攻击者可能绕过认证直接获取访问。
         Access_user Class中存在绕过任意帐号认证漏洞,起因是应用程序将new保留为所有帐号的有效口令。如果攻击者知道了有效的用户名的话,就可以使用new做为口令,登陆任意帐号。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Access_user Class Upgrade Access_user Class 1.75
        http://www.finalwebsites.com/classes/download.php?fc=10

- 漏洞信息

15348
Access_user Class Undocumented Backdoor Password
Remote / Network Access Authentication Management
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

The Access_user class allows access to any account when a valid account name is entered with the word "new" as the password. This allows attackers to trivially access the program or system.

- 时间线

2005-04-07 Unknow
2005-04-07 Unknow

- 解决方案

Upgrade to version 1.75 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Access_User Class Arbitrary Account Authentication Bypass Vulnerability
Access Validation Error 13070
Yes No
2005-04-08 12:00:00 2009-07-12 12:56:00
This vulnerability was announced by the vendor.

- 受影响的程序版本

Access_user Class Access_user Class 1.6
Access_user Class Access_user Class 1.75

- 不受影响的程序版本

Access_user Class Access_user Class 1.75

- 漏洞讨论

Access_user Class is affected by an arbitrary account authentication bypass vulnerability. This issue is due to the application retaining 'new' as a valid password to all accounts. Attackers with knowledge of valid usernames can login to any account using 'new' as the password.

The vendor has released an update addressing this issue in Access_user Class version 1.75; earlier versions are reported affected.

- 漏洞利用

No exploit is required.

- 解决方案

The vendor has addressed this issue in Access_user Class 1.75.


Access_user Class Access_user Class 1.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站